# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface UserData

All Superinterfaces:
  Extensible, GphotoData

All Known Implementing Classes:
  UserDataImpl, UserEntry, UserFeed

    public interface UserData

extends GphotoData

An interface for the user data objects. This is implemented by both UserEntry and UserFeed, which allows the use of a common interface when handling items of the User kind.

Field Summary
`static java.lang.String` `KIND` The unqualified kind for a user.
`static Category` `USER_CATEGORY` A category object for users.
`static java.lang.String` `USER_KIND` The fully qualified kind term for users.

Method Summary
`java.lang.Integer` `getMaxPhotos()` The number of photos a user can have in a single album.
`java.lang.String` `getNickname()` The nickname of the user.
`java.lang.Long` `getQuotaLimit()` The quota limit of the user.
`java.lang.Long` `getQuotaUsed()` The quota in bytes that the user has used.
`java.lang.String` `getThumbnail()` A url to the user's portrait.
`java.lang.String` `getUsername()` The username of the user.
`void` `setMaxPhotos(java.lang.Integer max)` Set the maximum number of photos the user is allowed.
`void` `setNickname(java.lang.String nickname)` Set the nickname of the user this data represents.
`void` `setQuotaLimit(java.lang.Long quota)` Set the quota limit for the user this data represents.
`void` `setQuotaUsed(java.lang.Long quota)` Set the used quota for the user.
`void` `setThumbnail(java.lang.String thumbnail)` Set the thumbnail for the user portrait.
`void` `setUsername(java.lang.String username)` Set the username for the user this data represents.

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Field Detail

### KIND

    static final java.lang.String KIND

  The unqualified kind for a user.

  See Also:
    Constant Field Values

### USER_KIND

    static final java.lang.String USER_KIND

  The fully qualified kind term for users.

  See Also:
    Constant Field Values

### USER_CATEGORY

    static final Category USER_CATEGORY

  A category object for users. All user objects will have this set.

Method Detail

### getUsername

    java.lang.String getUsername()

  The username of the user. The username is the user's current persona, and is not a valid email address but is instead a unique name of the user on the server.

  Returns:
    the username of the user this data represents.

### setUsername

    void setUsername(java.lang.String username)

  Set the username for the user this data represents. This is used by the server and setting it on the client will have no effect.

  Parameters:
    `username` - the username of the user.

### getNickname

    java.lang.String getNickname()

  The nickname of the user. This is the display name of the user, defined by editing the user information through the UI.

  Returns:
    the nickname of the user this data represents.

### setNickname

    void setNickname(java.lang.String nickname)

  Set the nickname of the user this data represents. Used on the server to set the field of the entry or feed, this will have no effect on the client.

  Parameters:
    `nickname` - the nickname of the user.

### getThumbnail

    java.lang.String getThumbnail()

  A url to the user's portrait.

  Returns:
    the thumbnail for the user this data represents.

### setThumbnail

    void setThumbnail(java.lang.String thumbnail)

  Set the thumbnail for the user portrait. This is used on the server and does not yet have the effect of changing the portrait when set on the client.

  Parameters:
    `thumbnail` - the url to the user portrait image.

### getQuotaUsed

    java.lang.Long getQuotaUsed()

  The quota in bytes that the user has used. This is calculated on the server.

  Returns:
    the quota used for this user in bytes.

### setQuotaUsed

    void setQuotaUsed(java.lang.Long quota)

  Set the used quota for the user. Has no effect on the client.

  Parameters:
    `quota` - the quota usage in bytes for this user.

### getQuotaLimit

    java.lang.Long getQuotaLimit()

  The quota limit of the user. Set on the server, only modifiable by purchasing more storage through the UI.

  Returns:
    the quota limit for the user in bytes.

### setQuotaLimit

    void setQuotaLimit(java.lang.Long quota)

  Set the quota limit for the user this data represents. Used by the server to set the field in the response, has no effect on the client.

  Parameters:
    `quota` - the quota in bytes for the user.

### getMaxPhotos

    java.lang.Integer getMaxPhotos()

  The number of photos a user can have in a single album. Calculated on the server.

  Returns:
    the maximum number of photos the user can have in an album.

### setMaxPhotos

    void setMaxPhotos(java.lang.Integer max)

  Set the maximum number of photos the user is allowed. Used by the server to set the field, has no effect on the client.

  Parameters:
    `max` - the number of photos the user is allowed.